using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace sharpFtpHell
{
    public partial class Form1 : Form
    {
        sharpFtpLibrary.ftp objFtp = new sharpFtpLibrary.ftp();

        public Form1()
        {
            InitializeComponent();
        }

        private void btnList_Click(object sender, EventArgs e)
        {
            objFtp.UseSSL = chkSSL.Checked;

            objFtp.UserName = txtUserName.Text;
            objFtp.Password = txtPassword.Text;
            objFtp.Host = txtHost.Text;

            txtResults.Text = objFtp.ListDirectory(txtPath.Text);
        }

        private void btnFolderDialog_Click(object sender, EventArgs e)
        {
            if (folderBrowserDialog1.ShowDialog() == DialogResult.OK)
            {
                txtLocalPath.Text = folderBrowserDialog1.SelectedPath;
            }

        }

        private void btnDownload_Click(object sender, EventArgs e)
        {
            objFtp.UseSSL = chkSSL.Checked;

            objFtp.UserName = txtUserName.Text;
            objFtp.Password = txtPassword.Text;
            objFtp.Host = txtHost.Text;

            objFtp.DownloadFile(txtPath.Text, txtLocalPath.Text, txtFileName.Text);
        }

        private void btnUpload_Click(object sender, EventArgs e)
        {
            objFtp.UseSSL = chkSSL.Checked;

            objFtp.UserName = txtUserName.Text;
            objFtp.Password = txtPassword.Text;
            objFtp.Host = txtHost.Text;

            objFtp.UploadFile(txtPath.Text, txtLocalPath.Text, txtFileName.Text);
        }

        private void btnDelete_Click(object sender, EventArgs e)
        {
            objFtp.UseSSL = chkSSL.Checked;

            objFtp.UserName = txtUserName.Text;
            objFtp.Password = txtPassword.Text;
            objFtp.Host = txtHost.Text;

            objFtp.DeleteFile(txtPath.Text, txtFileName.Text);
        }
    }
}