Imports System
Imports System.Collections.Generic
Imports System.ComponentModel
Imports System.Data
Imports System.Drawing
Imports System.Text
Imports System.Windows.Forms

Public Class Form1

    Dim objFtp As vbnetFtpLibrary.ftp = New vbnetFtpLibrary.ftp()

    Private Sub btnList_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnList.Click
        objFtp.UseSSL = chkSSL.Checked

        objFtp.UserName = txtUserName.Text
        objFtp.Password = txtPassword.Text
        objFtp.Host = txtHost.Text

        txtResults.Text = objFtp.ListDirectory(txtPath.Text)
    End Sub

    Private Sub btnFolderDialog_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnFolderDialog.Click

        If (FolderDialog.ShowDialog() = Windows.Forms.DialogResult.OK) Then
            txtLocalPath.Text = FolderDialog.SelectedPath
        End If

    End Sub

    Private Sub btnDownload_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnDownload.Click
        objFtp.UseSSL = chkSSL.Checked

        objFtp.UserName = txtUserName.Text
        objFtp.Password = txtPassword.Text
        objFtp.Host = txtHost.Text

        objFtp.DownloadFile(txtPath.Text, txtLocalPath.Text, txtFileName.Text)
    End Sub

    Private Sub btnUpload_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnUpload.Click
        objFtp.UseSSL = chkSSL.Checked

        objFtp.UserName = txtUserName.Text
        objFtp.Password = txtPassword.Text
        objFtp.Host = txtHost.Text

        objFtp.UploadFile(txtPath.Text, txtLocalPath.Text, txtFileName.Text)
    End Sub

    Private Sub btnDelete_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnDelete.Click
        objFtp.UseSSL = chkSSL.Checked

        objFtp.UserName = txtUserName.Text
        objFtp.Password = txtPassword.Text
        objFtp.Host = txtHost.Text

        objFtp.DeleteFile(txtPath.Text, txtFileName.Text)
    End Sub
End Class
